GET /api/v202407/esaplace/{placeId}/schedule

Gets the schedules of a place

GetEsaPlaceSchedulesV202407 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId The place identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ScheduleResponse
Property Description Type
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date when the schedule was created string (date-time)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date when the version was schedule string (date-time)
scheduleDays A list of 7 ScheduleDay records, each of which defines the open hours for a single day of the week. They are returned in order, beginning with Sunday and ending with Saturday. ScheduleDay[]
ScheduleDay properties
Property Description Type
beginTime The time of day that this schedule begins. It is serialized as a “HH:MM:SS” string. For example, “09:00:00”. string (date-span)
dayOfWeek DayOfWeek
DayOfWeek properties
Property Description Type
dayOfWeekName Day of the week name string
dayOfWeekNumber Day of the week as represented by a number integer (int32)
endTime The time of day that this schedule ends. It is serialized as a “HH:MM:SS” string. For example, “17:29:59”. string (date-span)
is24Hours

Indicates whether the record represents an opening period of 24 hours.

  • i.e. starting at “00:00:00” and finishing at “23:59:59”
boolean
isClosed Indicates whether the record represents being closed for the entire day. If this is true then BeginTime and EndTime will both be null. boolean
scheduleDayId The ID of this ScheduleDay record. integer (int32)
scheduleDescription A longer description of this schedule. For example, “9-5, Mon-Fri”. string
scheduleId The ID of this Schedule record. integer (int32)
scheduleInfo Information about this schedule. This can be thought of as a name. For example, “24/7”. string
Example Response application/json
[
  {    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "scheduleDays": [
      {      "beginTime": "string",      "dayOfWeek": {},      "endTime": "string",      "is24Hours": false,      "isClosed": false,      "scheduleDayId": 1
    }
    ],    "scheduleDescription": "string",    "scheduleId": 1,    "scheduleInfo": "string"
  }
]